// 营销活动
export default {
  path: 'activity',
  name: '营销活动管理',
  component: () => import(/* webpackChunkName: "activity" */ '../../views/activity/index.vue'),
  redirect: '/activity/list',
  children: [
    {
      path: 'list',
      name: '营销活动列表',
      component: () => import(/* webpackChunkName: "activity" */ '../../views/activity/list.vue'),
      meta: {
        path: '/activity/list'
      }
    },
    {
      path: 'edit/:id',
      name: '营销活动编辑',
      component: () => import(/* webpackChunkName: "activity" */ '../../views/activity/form.vue'),
      meta: {
        type: 'edit',
        path: '/activity/list'
      }
    },
    {
      path: 'add',
      name: '营销活动新增',
      component: () => import(/* webpackChunkName: "activity" */ '../../views/activity/form.vue'),
      meta: {
        type: 'add',
        path: '/activity/list'
      }
    },
    {
      path: 'history-list',
      name: '历史营销活动列表',
      component: () => import(/* webpackChunkName: "activity" */ '../../views/activity/history-list.vue'),
      meta: {
        path: '/activity/list'
      }
    },
    {
      path: 'data-view/:id',
      name: '营销活动数据概览',
      component: () => import(/* webpackChunkName: "activity" */ '../../views/activity/data-view.vue'),
      meta: {
        path: '/activity/list'
      }
    }
    // {
    //   path: 'currentlist/:id',
    //   name: '实时发送记录',
    //   component: () => import(/* webpackChunkName: "activity" */ '../../views/activity/current-list.vue'),
    //   meta: {
    //     path: '/activity/list'
    //   }
    // }
  ]
};
