export default [
  { code: '1008', reason: '请求下发短信/语音超时', plan: '出现概率很低，可重试解决' },
  { code: '1020', reason: 'sdkappid 已禁用', plan: '此 sdkappid 禁止提供服务，如有需要请联系 sms helper' },
  { code: '1017', reason: '请求的短信内容太长', plan: '短信内容长度 超过限制，请调整短信长度' },
  { code: 'MB:1042', pass: '移动', reason: 'SMC 内存中缓存的、要下发给被叫用户的短消息数超过了该用户的最大下发数。', plan: '检查该被叫号码在 SMC 内存中的短消息积压情况。若达到了该被叫实体的最大下发数，请稍后再提交' },
  { code: '1004', reason: '请求包解析失败，通常情况下是由于没有遵守 API 接口说明规范导致的', plan: '可参考 1004 错误详解' },
  { code: '1014', reason: '模版未审批或请求的内容与审核通过的模版内容不匹配', plan: '可参考 1014 错误详解' },
  { code: '1015', reason: '手机号在黑名单库中,通常是用户退订或者命中运营商黑名单导致的', plan: '可联系 sms helper 解决' },
  { code: '1022', reason: '业务短信日下发条数超过设定的上限', plan: '可自行到控制台调整短信频率限制策略' },
  { code: '1023', reason: '单个手机号 30 秒内下发短信条数超过设定的上限', plan: '可自行到控制台调整短信频率限制策略' },
  { code: '1024', reason: '单个手机号 1 小时内下发短信条数超过设定的上限', plan: '可自行到控制台调整短信频率限制策略' },
  { code: '1025', reason: '单个手机号日下发短信条数超过设定的上限', plan: '可自行到控制台调整短信频率限制策略' },
  { code: '1026', reason: '单个手机号下发相同内容超过设定的上限', plan: '可自行到控制台调整短信频率限制策略' },
  { code: '1013', reason: '下发短信/语音命中了频率限制策略', plan: '可自行到控制台调整短信频率限制策略；语音如有需要请联系 sms helper' },
  { code: '1033', reason: '欠费被停止服务', plan: '可自行登录腾讯云充值来缴清欠款' },
  { code: '1009', reason: '请求 IP 不在白名单中', plan: '您配置了校验请求来源 IP，但是检测到当前请求 IP 不在配置列表中，如有需要请联系 sms helper' },
  { code: '1012', reason: '签名格式错误或者签名未审批', plan: '签名只能由中英文、数字组成，要求 2~12 个字;如果符合签名格式规范，请核查签名是否已审批' },
  { code: '1031', reason: '套餐包余量不足', plan: '请 购买套餐包' },
  { code: '1006', reason: '请求没有权限，比如没有扩展码权限等', plan: '请查看错误提示语说明，如还有问题请提供失败手机号联系 sms helper' },
  { code: '1007', reason: '其他错误', plan: '请查看错误提示语说明，如还有问题请提供失败手机号联系 sms helper' },
  { code: '1011', reason: '不存在该 REST API 接口', plan: '请核查 REST API 接口说明' },
  { code: '1016', reason: '手机号格式错误', plan: '请核查下发短信/语音的用户手机号格式是否正确' },
  { code: '1001', reason: 'sig 校验失败', plan: '请核对 API 的 sig 格式说明' },
  { code: '1021', reason: '请求发起时间不正常，通常是由于您的服务器时间与腾讯云服务器时间差异超过 10 分钟导致的', plan: '请核对服务器时间及 API 接口中的时间字段是否正常' },
  { code: 'REJECTD_006', pass: '电信', reason: '短消息因为某种原因被拒绝', plan: '请核实短信是否为行业短信，如是，可以请用户致电联通客服确认号码的短信业务是否开通' },
  { code: 'REJECTD_706', pass: '电信', reason: '短消息因为某种原因被拒绝', plan: '请核实短信是否为行业短信，如是，可以请用户致电联通客服确认号码的短信业务是否开通' },
  { code: 'REJECTD', pass: '三网', reason: '短消息因某种原因被拒绝', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0001', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0012', pass: '移动', reason: '空号', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0000', pass: '移动', reason: '号码为空号', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0054', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0001', pass: '移动', reason: 'MK0001是HLR查无此号，短信中心返回状态为无法识别被叫号码。说明用户发送的号码有误', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MI:0022', pass: '移动', reason: '移动网关的内部错误', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MC:0055', pass: '移动', reason: '由于用户不在服务区或内存满导致发送失败', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0029', pass: '移动', reason: '暂时无法接通', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0024', pass: '移动', reason: '下发短消息时，目的手机关机，导致该短消息下发失败。', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK00001', pass: '移动', reason: '手机终端是空号', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0015', pass: '移动', reason: '下发短消息时，手机在接收过程出现软件问题。例如，手机重启后，处理短消息部分软件没有初始化完成，此时无法正常处理短消息。', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0029', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'IC:0151', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0010', pass: '移动', reason: '暂时无法接通', plan: '请核实手机终端是否处于正常状态' },
  { code: 'DA:0054', pass: '移动', reason: '超时未接收到响应消息', plan: '请核实手机终端是否处于正常状态' },
  { code: 'ERR_NUM', pass: '移动', reason: '被叫号码不正确或被限制', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0008', pass: '移动', reason: '用户当前所在地区信号不好，无法接收短消息。', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0075', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0022', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0022', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0020', pass: '移动', reason: '移动网关的内部错误', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MI:0012', pass: '移动', reason: '非法设备', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0012', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0050', pass: '移动', reason: '空号、停机或关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN:0017', pass: '移动', reason: '短信息被拒绝', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MC:0055_006', pass: '移动', reason: '由于用户不在服务区或内存满导致发送失败', plan: '请核实手机终端是否处于正常状态' },
  { code: 'ERR_NUM_006', pass: '移动', reason: '被叫号码不正确或被限制', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MI:0056', pass: '移动', reason: '响应超时', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MK:0019', pass: '移动', reason: 'MS 不支持短消息终呼业务', plan: '请核实手机终端是否处于正常状态' },
  { code: 'IB:0064', pass: '移动', reason: '关机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MI00022', pass: '移动', reason: '手机终端内存满', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MC:0055_000', pass: '移动', reason: '由于用户不在服务区或内存满导致发送失败', plan: '请核实手机终端是否处于正常状态' },
  { code: 'ID:0012', pass: '移动', reason: '计费地址错误', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MI:0099', pass: '移动', reason: 'vmsc 返回收到未预期响应', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MI:0090', pass: '移动', reason: 'vmsc 返回远端地址不可达', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MN0013', pass: '移动', reason: '机终端停机', plan: '请核实手机终端是否处于正常状态' },
  { code: 'MB:1031', pass: '移动', reason: '短信中心回的，超出最大发送次数，可能是手机满了', plan: '请核实手机终端是否处于正常状态' },
  { code: '12', pass: '联通', reason: '计费地址错（空号、关机、停机、通话被限制或者转到联通秘书）', plan: '请核实手机终端是否处于正常状态' },
  { code: '1', pass: '联通', reason: '空号、号码不存在', plan: '请核实手机终端是否处于正常状态' },
  { code: '10', pass: '联通', reason: 'Src_ID 错（空号、关机、停机、通话被限制或者转到联通秘书）', plan: '请核实手机终端是否处于正常状态' },
  { code: '24', pass: '联通', reason: '计费号码无效（用户不在使用）', plan: '请核实手机终端是否处于正常状态' },
  { code: '5', pass: '联通', reason: '号码已停机', plan: '请核实手机终端是否处于正常状态' },
  { code: '29', pass: '联通', reason: '手机用户信息错误', plan: '请核实手机终端是否处于正常状态' },
  { code: '93', pass: '联通', reason: '月租鉴权失败（用户已经停机或销户）', plan: '请核实手机终端是否处于正常状态' },
  { code: '4', pass: '联通', reason: '手机关机', plan: '请核实手机终端是否处于正常状态' },
  { code: '54', pass: '联通', reason: '用户已关机', plan: '请核实手机终端是否处于正常状态' },
  { code: '15', pass: '联通', reason: '号码不在服务区', plan: '请核实手机终端是否处于正常状态' },
  { code: '51', pass: '联通', reason: '用户已关机', plan: '请核实手机终端是否处于正常状态' },
  { code: '-37', pass: '联通', reason: '用户已关机', plan: '请核实手机终端是否处于正常状态' },
  { code: '20', pass: '联通', reason: '暂时停机', plan: '请核实手机终端是否处于正常状态' },
  { code: '55', pass: '联通', reason: '号码不在服务区', plan: '请核实手机终端是否处于正常状态' },
  { code: '67', pass: '联通', reason: '号码是空号', plan: '请核实手机终端是否处于正常状态' },
  { code: '95', pass: '联通', reason: '鉴权失败因为用户销户或不存在', plan: '请核实手机终端是否处于正常状态' },
  { code: '79', pass: '联通', reason: '内存满', plan: '请核实手机终端是否处于正常状态' },
  { code: '53', pass: '联通', reason: '用户已关机', plan: '请核实手机终端是否处于正常状态' },
  { code: '61', pass: '联通', reason: '号码是空号', plan: '请核实手机终端是否处于正常状态' },
  { code: '45', pass: '联通', reason: '号码停机', plan: '请核实手机终端是否处于正常状态' },
  { code: '9', pass: '联通', reason: '非法序列号，包括序列号重复、序列号格式错误等', plan: '请核实手机终端是否处于正常状态' },
  { code: '89', pass: '联通', reason: '号码不在服务区', plan: '请核实手机终端是否处于正常状态' },
  { code: '64', pass: '联通', reason: '号码不在服务区', plan: '请核实手机终端是否处于正常状态' },
  { code: '88', pass: '联通', reason: '号码不在服务区', plan: '请核实手机终端是否处于正常状态' },
  { code: '98', pass: '联通', reason: '暂时停机', plan: '请核实手机终端是否处于正常状态' },
  { code: '36', pass: '联通', reason: '号码停机', plan: '请核实手机终端是否处于正常状态' },
  { code: '99', pass: '联通', reason: '暂时停机', plan: '请核实手机终端是否处于正常状态' },
  { code: '43', pass: '联通', reason: '内存满', plan: '请核实手机终端是否处于正常状态' },
  { code: '-43', pass: '联通', reason: '内存满', plan: '请核实手机终端是否处于正常状态' },
  { code: '56', pass: '联通', reason: '欠费停机', plan: '请核实手机终端是否处于正常状态' },
  { code: '70', pass: '联通', reason: '号码不在服务区', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_601', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'EXPIRED_602', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_640', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_705', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'EXPIRED_760', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'EXPIRED_601', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_869', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_602', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_614', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'EXPIRED_660', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'EXPIRED_702', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'EXPIRED_640', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'EXPIRED_615', pass: '电信', reason: '短消息因为某种原因被拒绝', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_702', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_815', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_771', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_711', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_627', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_814', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_660', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_613', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_619', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_680', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_636', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_726', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_718', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_880', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_634', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_001', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'UNDELIV_620', pass: '电信', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '请核实手机终端是否处于正常状态' },
  { code: 'IA:0054', pass: '移动', reason: '超时未接收到响应消息', plan: '请核实手机终端是否处于正常状态，可请用户重启手机后再次测试看看' },
  { code: '13', pass: '联通', reason: '业务代码未分配，根据MT话单里的接入号和业务代码找不到对应的申报项', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: '27', pass: '联通', reason: '手机不支持短消息', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: '18', pass: '联通', reason: '用户未订购', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: '44', pass: '联通', reason: '手机无短信功能', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: '118', pass: '联通', reason: '手机无短信功能', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: '52', pass: '联通', reason: '手机终端无短信接收功能', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: '31', pass: '联通', reason: '非法设备', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: '75', pass: '联通', reason: '号码限制', plan: '请核实手机终端是否处于正常状态，如正常可请用户致电联通客服确认号码的短信业务是否开通' },
  { code: 'MN:0059', pass: '移动', reason: '用户当时不在服务区', plan: '请核实手机终端是否处于正常状态，主要为用户端忙碌导致短信下发失败' },
  { code: 'TC:0001', pass: '移动', reason: '黑名单号码', plan: '请联系 sms heiper 沟通解决' },
  { code: 'HD:19', pass: '移动', reason: '网关黑名单', plan: '请联系 sms heiper 解除黑名单' },
  { code: 'TE:0014', pass: '三网', reason: '人工审核不通过', plan: '请联系 sms helper 沟通' },
  { code: 'BWLIST _006', pass: '三网', reason: '网关黑名单', plan: '请联系 sms helper 沟通解决' },
  { code: 'TD:19', pass: '三网', reason: '黑名单号码', plan: '请联系 sms helper 沟通解决' },
  { code: 'TC:0007', pass: '移动', reason: '短信内容涉及敏感词', plan: '请联系 sms helper 沟通解决' },
  { code: 'HIGRISK', pass: '移动', reason: '运营商黑名单', plan: '请联系 sms helper 解除黑名单' },
  { code: 'MOBILE BLACK', pass: '电信/联通', reason: '号码为全局黑名单', plan: '请联系 sms helper 解除黑名单' },
  { code: 'MX:0003', pass: '三网', reason: '单个手机号码当天下行条数超过上限', plan: '请联系 sms helper 解除限制' },
  { code: 'TE:0003', pass: '三网', reason: '单个手机号码当天下行条数超过上限', plan: '请联系 sms helper 解除限制' },
  { code: 'TD:0001', pass: '三网', reason: '网关黑名单', plan: '请联系 sms helper沟通解决' },
  { code: 'BWLIST', pass: '移动', reason: '网关黑名单', plan: '请联系sms helper 解除黑名单' },
  { code: 'MB:1026', pass: '移动', reason: 'SMC 的相关运行参数（如 MO 速度、MT 速度、短消息数、短消息实体数）已经达到了 License 的最大限制', plan: '请稍后在尝试提交消息' },
  { code: 'W-BLACK', pass: '联通', reason: '号码为全局黑名单', plan: '请提供具体号码给 sms helper 解除黑名单' },
  { code: 'MA:0054', pass: '移动', reason: '运营商内部错误', plan: '请提供具体号码给 sms helper 下工单向运营商核实' },
  { code: 'MB:1078', pass: '移动', reason: '运营商内部错误', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'MK:0084', pass: '移动', reason: 'HLR 返回收到未预期响应', plan: '请提供具体号码给 sms helper,下工单向运营商核实' },
  { code: 'MA:0073', pass: '移动', plan: '请提供具体号码给 sms helper,下工单向运营商核实' },
  { code: '59', pass: '联通', reason: '运营商内部错误', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '23', pass: '联通', reason: '运营商内部错误', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '92', reason: '联通', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '255', pass: '联通', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '100', pass: '联通', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '117', pass: '联通', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '164', pass: '联通', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '46', pass: '联通', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '103', pass: '联通', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'UNDELIV_999', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'UNDELIV_713', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'UNDELIV_615', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'UNDELIV_765', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'UNDELIV_899', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'EXPIRED_001', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'UNDELIV_612', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: 'UNDELIV_714', pass: '电信', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '其他', pass: '电信/联通', reason: '运营商未公布原因', plan: '请提供具体号码给 sms helper，下工单向运营商核实' },
  { code: '1003', reason: '请求包体没有 sig 字段或 sig 为空', plan: '请遵守 API 接口说明规范' },
  { code: '1018', reason: '语音验证码格式错误', plan: '请遵守 API 接口说明规范' },
  { code: 'MK:0005', pass: '移动', reason: '该短消息的被叫用户的开户数据的21号增值业务属性是否支持', plan: '如号码状态正常，可请用户自行拨打当地运营商客服电话确认手机端短信业务是否开启' },
  { code: '1036', reason: '单个模板变量字符数超过 12 个', plan: '如需调整限制，可联系 sms helper 解决' },
  { code: 'MK:0017', pass: '移动', reason: '手机内存满', plan: '手机保存短消息的空间已满，需要清除保存的短消息，释放空间。' },
  { code: 'EXPIRED_619', pass: '电信', reason: '短消息超过有效期', plan: '手机终端超时未响应' },
  { code: 'EXPIRED_999', pass: '电信', reason: '短消息超过有效期', plan: '手机终端超时未响应' },
  { code: 'EXPIRED_010', pass: '电信', reason: '短消息超过有效期', plan: '手机终端超时未响应手机终端超时未响应' },
  { code: 'EXPIRED', pass: '移动', reason: '短消息超过有效期', plan: '手机终端长时间未响应，导致短信接收失败' },
  { code: '1029', reason: '营销短信发送时间限制', plan: '为避免骚扰用户，营销短信只允许在 8 点到 22 点发送' },
  { code: 'DELIVRD', pass: '三网', reason: '用户短信接收成功', plan: '无' },
  { code: 'UNDELIVRD', pass: '三网', reason: '空号、停机或关机', plan: '无' },
  { code: 'TE:0002', pass: '三网', reason: '向网关提交短信失败', plan: '无' },
  { code: 'TD:18', pass: '三网', reason: '未知运营商号码', plan: '无' },
  { code: 'MI:0013', pass: '移动', reason: '停机或关机', plan: '无' },
  { code: 'MI:0024', pass: '移动', reason: '停机或关机', plan: '无' },
  { code: 'MI:0011', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MC:0151', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'IC:0001', pass: '移动', reason: '停机或关机', plan: '无' },
  { code: 'MI:0029', pass: '移动', reason: '停机或关机', plan: '无' },
  { code: 'MI:0005', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MK:0004', pass: '移动', reason: '停机或关机', plan: '无' },
  { code: 'MI:0000', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MI:0004', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MI:0020', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MI:0084', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MI:0017', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MN:0075', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IC:0015', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'BEYONDN', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0055', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MI:0010', pass: '移动', reason: '号码已失效', plan: '无' },
  { code: 'MC00151', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IC:0055', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MN00001', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'ID:0013', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MC:0001', pass: '移动', reason: '未知错误', plan: '无' },
  { code: 'MI:0081', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0054', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MK:0011', pass: '移动', reason: '停机或关机', plan: '无' },
  { code: 'MN:0052', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IA:0073', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IA:0051', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MN:0029', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0008', pass: '移动', reason: '移动网关的内部错误', plan: '无' },
  { code: 'MI:0059', pass: '移动', reason: '空号、停机或关机', plan: '无' },
  { code: 'MI:0045', pass: '移动', reason: '移动网关的内部错误', plan: '无' },
  { code: 'MN:0055', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'NOROUTE', pass: '移动', reason: '查找路由失败', plan: '无' },
  { code: 'MI:0036', pass: '移动', reason: '移动网关的内部错误', plan: '无' },
  { code: 'MK:0020', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0022', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MN:0053', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'DB:0505', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'ID:0070', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MX:0002', pass: '移动', reason: '向上级通道提交短信失败', plan: '无' },
  { code: 'MA:0051', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IB:0008', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI00000', pass: '移动', reason: '消息在短信中心过期', plan: '无' },
  { code: 'DB:0164', pass: '移动', reason: '运营商黑名单', plan: '无' },
  { code: 'MK:0013', pass: '移动', reason: '空号', plan: '无' },
  { code: 'DB:0144', pass: '移动', reason: '用户在全局黑名单中', plan: '无' },
  { code: 'MI0020', pass: '移动', reason: '短信下发手机终端失败 ErrorinMS', plan: '无' },
  { code: 'MI:0041', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0064', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0057', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0098', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0036', pass: '移动', reason: '来自MSC的未知错误', plan: '无' },
  { code: 'MN:0019', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0030', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0023', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0002', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0055', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0066', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IB:0009', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0006', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0053', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0023', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0045', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0041', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0063', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MB:0088', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI00036', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'DB00144', pass: '移动', reason: '目的号码在全局黑名单被拦截', plan: '无' },
  { code: 'MI:0089', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0063', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'DB:0107', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IB:0255', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MA:0022', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'IB:0013', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MA:0001', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0065', pass: '移动', reason: 'GIW 超时无应答', plan: '无' },
  { code: 'MN:0009', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'UNKNOWN', pass: '移动', reason: '未知的短消息状态', plan: '无' },
  { code: 'DB:0010', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0021', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0038', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MI:0052', pass: '移动', reason: '漫游限制', plan: '无' },
  { code: 'MK:0003', pass: '移动', reason: '非法用户。本次短消息发送过程中，用户鉴权未通过，可能的原因是 MSC 认为该手机的鉴权密码非法。在维测台中的错误值为 3。在 ETSI GSM 0902 协议中定义为 9。', plan: '无' },
  { code: 'MK:0009', pass: '移动', reason: '用户不在服务区MWDSET', plan: '无' },
  { code: 'MK:0051', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0068', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'DB:0106', pass: '移动', reason: '服务代码错误', plan: '无' },
  { code: 'MI:0048', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0056', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0057', pass: '移动', reason: '运营商内部错误', plan: '无' },
  { code: 'MK:0088', pass: '移动', reason: 'vmsc 返回潜在的版本不匹配', plan: '无' },
  { code: 'TUIDING', pass: '移动', reason: '运营商黑名单', plan: '无' },
  { code: 'CA:0054', pass: '移动', reason: '移动内部错误', plan: '无' },
  { code: 'MN:0041', pass: '移动', reason: '当前手机处于关机、无法接通等异常状态', plan: '无' },
  { code: 'MK:0090', pass: '移动', reason: '当前手机状态处于停机、暂时无法接通等异常状态', plan: '无' },
  { code: 'XL:169', pass: '移动', reason: '手机号码为空号或不存在', plan: '无' },
  { code: 'MN:xxxx', pass: '移动', reason: 'M 开头的移动错误代码是指 Mobile，大多是因为手机端问题导致。原因有：关机，停机，信号弱，不在服务区，无效号码等等。', plan: '无' },
  { code: 'MI:xxxx', pass: '移动', reason: 'M 开头的移动错误代码是指 Mobile，大多是因为手机端问题导致。原因有：关机，停机，信号弱，不在服务区，无效号码等等。', plan: '无' },
  { code: 'TA:169', pass: '移动', reason: '空号', plan: '无' },
  { code: '11', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '17', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '22', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '90', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '-74', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '2', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '104', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '86', pass: '联通', reason: '号码不在服务区', plan: '无' },
  { code: '50', pass: '联通', reason: '停机', plan: '无' },
  { code: '8', pass: '联通', reason: '信息长度错', plan: '无' },
  { code: '57', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '3', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '14', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '69', pass: '联通', reason: '黑名单用户', plan: '无' },
  { code: '106', pass: '联通', reason: '非法费用，鉴权失败', plan: '无' },
  { code: '-1', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '19', pass: '联通', reason: '用户未订购', plan: '无' },
  { code: '148', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '48', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '63', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '73', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '32', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '40', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '110', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '116', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '21', pass: '联通', reason: '运营商内部错误', plan: '无' },
  { code: '219', pass: '联通', reason: '用户手机终端处于关机、停机、暂时无法接听等不正常状态导致手机无法接收到短信', plan: '无' },
  { code: '182', pass: '联通', reason: '用户手机终端已暂停服务', plan: '无' },
  { code: '124', pass: '联通', reason: '用户手机终端处于关机、通话被限制、暂停服务等异常状态', plan: '无' },
  { code: '101', pass: '联通', reason: '手机号码为空号', plan: '无' },
  { code: '105', pass: '联通', reason: '当前手机状态处于停机、暂停服务、呼入被限制等异常情况', plan: '无' },
  { code: '213', pass: '联通', reason: '当前手机状态处于停机、暂停服务、呼入被限制等异常情况', plan: '无' },
  { code: '72', pass: '联通', reason: '145号段空号或者不存在', plan: '无' },
  { code: 'LT:0002', pass: '联通', reason: '因信号原因导致联通失败。若批量失败则有可能是内容敏感词导致，需和运营商确认', plan: '无' },
  { code: 'UNDELIV_870', pass: '电信', reason: '运营商内部错误', plan: '无' },
  { code: 'EXPIRED_612', pass: '电信', reason: '运营商内部错误', plan: '无' },
  { code: 'EXPIRED_614', pass: '电信', reason: '运营商内部错误', plan: '无' },
  { code: 'EXPIRED_618', pass: '电信', reason: '运营商内部错误', plan: '无' },
  { code: 'EXPIRED_613', pass: '电信', reason: '运营商内部错误', plan: '无' },
  { code: 'EXPIRED_617', pass: '电信', reason: '运营商内部错误', plan: '无' },
  { code: 'UNDELIV_701', pass: '电信', reason: '空号、停机或关机', plan: '无' },
  { code: 'UNDELIV_802', pass: '电信', reason: '空号、停机或关机', plan: '无' },
  { code: 'UNDELIV_801', pass: '电信', reason: '空号、停机或关机', plan: '无' },
  { code: 'UNDELIV', pass: '电信/联通', reason: '用户因为状态不正确如处于停机、挂起等状态而导致用户无法接收到短信', plan: '无' },
  { code: 'DB:0141', pass: '移动', reason: '曾多次投诉移动或者工信部的黑名单', plan: '无法解除' },
  { code: 'MB:1077', pass: '移动', reason: '黑名单，用户在移动公司有恶意投诉记录', plan: '需要用户自己与移动运营商10086沟通解除' },
  { code: '1002', reason: '短信/语音内容中含有敏感词', plan: '应答包会返回该敏感词，请去掉该敏感词后重新发送' },
  { code: 'MX:0012', pass: '三网', reason: '目标号码在客户退订黑名单中', plan: '用户回复上行退订信息后加黑的，请联系 sms helper 解除黑名单' },
  { code: '1019', reason: 'sdkappid 不存在' },
  { code: '1030', reason: '不支持该请求' },
  { code: '1032', reason: '个人用户没有发营销短信的权限' },
  { code: 'P00000', reason: '交易请求成功' },
  { code: 'P00001', reason: '非法用户' },
  { code: 'P00002', reason: '参数错误' },
  { code: 'P00003', reason: '鉴权失败' },
  { code: 'P00004', reason: '系统异常' },
  { code: 'P00005', reason: '账户余额不足' },
  { code: 'P00009', reason: '其他未知误' },
  { code: 'P00010', reason: '手机号码过长' },
  { code: 'P00011', reason: '手机号码非法' },
  { code: 'TD:0004', pass: '三网', reason: '疑似钓鱼，请核实' }
];
